=== debian/changelog ===
tree-sitter-sdml (0.3.3~20240830-2) unstable; urgency=medium

  * add patch 2004
    to hint that libtree-sitter does not require source with binaries

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Sep 2024 23:27:23 +0200

tree-sitter-sdml (0.3.3~20240830-1) unstable; urgency=medium

  [ upstream ]
  * new development snapshot

  [ Jonas Smedegaard ]
  * update watch file: bump version prefix
  * fix Vcs-* fields
  * add patch 2003 to accept older branches of crate tree-sitter
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Sep 2024 23:02:46 +0200

tree-sitter-sdml (0.3.2+20240709-1) experimental; urgency=medium

  * initial release;
    closes: bug#1080003

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Aug 2024 15:49:20 +0200
