=== debian/control ===
Source: tree-sitter-sdml
Section: devel
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-rust,
 librust-cc-1+default-dev,
 librust-tree-sitter-0.20+default-dev,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: https://github.com/sdm-lang/tree-sitter-sdml
Vcs-Git: https://salsa.debian.org/debian/tree-sitter-sdml.git
Vcs-Browser: https://salsa.debian.org/debian/tree-sitter-sdml
Rules-Requires-Root: no
Description: sdml grammar for the tree-sitter parser
 tree-sitter-sdml is a tree-sitter grammar for SDML.
 .
 Tree-sitter is a parser generator and incremental parsing library.
 .
 The Simple Domain Modeling Language (SDML) is
 a small data-oriented language
 for constructing, documenting, and reasoning
 about a conceptual domain model.

Package: librust-tree-sitter-sdml-dev
Section: rust
Architecture: all
Multi-Arch: foreign
Depends:
 librust-tree-sitter-0.20+default-dev,
 ${misc:Depends},
Provides:
 librust-tree-sitter-sdml-0.3+default-dev (= ${binary:Version}),
 librust-tree-sitter-sdml-0.3-dev (= ${binary:Version}),
 librust-tree-sitter-sdml-0.3.3-dev (= ${binary:Version}),
Description: ${source:Synopsis} - Rust source code
 ${source:Extended-Description}
 .
 This package contains the source for the Rust tree-sitter-sdml crate,
 packaged for use with cargo.

Package: python3-tree-sitter-sdml
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} - Python bindings
 ${source:Extended-Description}
 .
 This package contains the Python 3.x bindings for tree-sitter-sdml.
