=== debian/changelog ===
tree-sitter-sdml (0.3.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: bump version prefix
  * bump project versions in virtual packages and autopkgtests
  * update patch 2003

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Oct 2024 03:17:15 +0100
