=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Provides:
  librust-tree-sitter-sdml-0.3+default-dev (= ${binary:Version}),
  librust-tree-sitter-sdml-0.3-dev (= ${binary:Version}),
- librust-tree-sitter-sdml-0.3.3-dev (= ${binary:Version}),
+ librust-tree-sitter-sdml-0.3.4-dev (= ${binary:Version}),
 Description: ${source:Synopsis} - Rust source code
  ${source:Extended-Description}
  .
