## tree-sitter-sdml 0.4.0

=== Makefile ===
--- 
+++ 
@@ -221,11 +221,11 @@
 
 test_bindings: test_rust
 
-install_bindings: install_rust # install_python
-
-publish_bindings: publish_rust publish_node # publish_python
-
-clean_bindings: clean_rust clean_node clean_wasm # clean_python
+install_bindings: install_rust install_python
+
+publish_bindings: publish_rust publish_node publish_python
+
+clean_bindings: clean_rust clean_node clean_wasm clean_python
 
 # ----------------------------------------------------------------------------
 # Build ❯ Bindings ❯ Rust
