=== debian/changelog ===
tree-sitter-sdml (0.4.0-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:58:28 +0100

tree-sitter-sdml (0.4.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * install examples

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Nov 2024 14:19:03 +0100
