=== debian/control ===
--- 
+++ 
@@ -34,9 +34,9 @@
  librust-tree-sitter-0.20+default-dev,
  ${misc:Depends},
 Provides:
- librust-tree-sitter-sdml-0.3+default-dev (= ${binary:Version}),
- librust-tree-sitter-sdml-0.3-dev (= ${binary:Version}),
- librust-tree-sitter-sdml-0.3.4-dev (= ${binary:Version}),
+ librust-tree-sitter-sdml-0.4+default-dev (= ${binary:Version}),
+ librust-tree-sitter-sdml-0.4-dev (= ${binary:Version}),
+ librust-tree-sitter-sdml-0.4.0-dev (= ${binary:Version}),
 Description: ${source:Synopsis} - Rust source code
  ${source:Extended-Description}
  .
