=== debian/tests/control ===
Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-sdml 0.4.0
 --all-targets --all-features
Features: test-name=rust-tree-sitter-sdml:@
Depends:
 dh-rust,
 librust-cc-1+default-dev,
 librust-tree-sitter-sdml-0.4-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-sdml 0.4.0
 --all-targets --no-default-features
Features: test-name=rust-tree-sitter-sdml:
Depends:
 dh-rust,
 librust-cc-1+default-dev,
 librust-tree-sitter-sdml-0.4-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-sdml 0.4.0
 --all-targets
Features: test-name=rust-tree-sitter-sdml:default
Depends:
 dh-rust,
 librust-cc-1+default-dev,
 librust-tree-sitter-sdml-0.4+default-dev,
Restrictions: allow-stderr
