## tree-sitter-sdml 0.4.1+20241115

=== Makefile ===
--- 
+++ 
@@ -199,7 +199,7 @@
 
 .PHONY: generate_for_emacs
 
-EMACS_TS_DIR ?= $(HOME)/.tree-sitter/bin
+EMACS_TS_DIR ?= $(HOME)/.emacs.d/tree-sitter/
 EMACS_ABI := 13
 EMACS_BINDING := $(EMACS_TS_DIR)/$(SHORT_NAME).$(DYLIB_EXT)
