=== debian/changelog ===
tree-sitter-sdml (0.4.1+20241115-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: bump version prefix
  * bump project versions in virtual packages and autopkgtests
  * update and tighten patch 2003
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Jan 2025 15:22:07 +0100

tree-sitter-sdml (0.4.0-2) experimental; urgency=medium

  * update patch 2003 to cover newer branch;
    bump (build-)dependency for crate tree-sitter

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jan 2025 20:57:37 +0100
