=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-python,
  dh-rust,
  librust-cc-1+default-dev,
- librust-tree-sitter-0.20+default-dev,
+ librust-tree-sitter-0.22+default-dev,
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-setuptools,
@@ -31,12 +31,12 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- librust-tree-sitter-0.20+default-dev,
+ librust-tree-sitter-0.22+default-dev,
  ${misc:Depends},
 Provides:
  librust-tree-sitter-sdml-0.4+default-dev (= ${binary:Version}),
  librust-tree-sitter-sdml-0.4-dev (= ${binary:Version}),
- librust-tree-sitter-sdml-0.4.0-dev (= ${binary:Version}),
+ librust-tree-sitter-sdml-0.4.1-dev (= ${binary:Version}),
 Description: ${source:Synopsis} - Rust source code
  ${source:Extended-Description}
  .
