## tree-sitter-sdml 0.4.5

=== Makefile ===
--- 
+++ 
@@ -74,7 +74,7 @@
         CCFLAGS += -D LINUX
     else ifeq ($(UNAME_S),Darwin)
 		DYLIB_EXT := dylib
-        CCFLAGS += -D OSX
+        CCFLAGS += -D OSX -I /opt/homebrew/include
 	else
 $(error Unknown/unsupported platform: '$(UNAME_S)')
     endif
@@ -199,14 +199,14 @@
 
 .PHONY: generate_for_emacs
 
-EMACS_TS_DIR ?= $(HOME)/.emacs.d/tree-sitter/
+EMACS_TS_DIR ?= $(HOME)/.tree-sitter/bin/
 EMACS_ABI := 13
 EMACS_BINDING := $(EMACS_TS_DIR)/$(SHORT_NAME).$(DYLIB_EXT)
 
 emacs: $(EMACS_BINDING) | $(BUILD_DIR)
 
 $(EMACS_BINDING): generate_for_emacs build_parser
-	$(info -> installing Emacs binding into $(EMACS_TS_DIR))
+	$(info -> installing Emacs binding into $(EMACS_TS_DIR)$(SHORT_NAME).$(DYLIB_EXT))
 	@(cp $(PARSER_LIB) $(EMACS_BINDING))
 
 generate_for_emacs:
@@ -316,7 +316,7 @@
 
 publish_python: $(BINDING_PYTHON_SDIST) $(BINDING_PYTHON_WHEEL) setup_twine
 	$(info -> uploading Python binding to PyPI)
-	@(twine --sign --identity $(GPG_SIGNER) --non-interactive upload $(PYTHON_DIST_DIR)/*)
+	@(twine upload --sign --identity $(GPG_SIGNER) --non-interactive $(PYTHON_DIST_DIR)/*)
 
 clean_python:
 	$(info -> removing Python binding files)
