=== debian/changelog ===
tree-sitter-sdml (0.4.5-2) unstable; urgency=medium

  * rewrite patch 2003
    to accept newer minor version of crate tree-sitter;
    bump (build-)dependency for crate tree-sitter

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Oct 2025 13:35:30 +0200

tree-sitter-sdml (0.4.5-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * add metadata about upstream project
  * update git-buildpackage config: improve usage comment
  * update watch file:
    + mangle filename and upstream version
    + track release tags (not git commits)
  * declare compliance with Debian Policy 4.7.2
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Mar 2025 22:38:12 +0100
