=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  dh-python,
  dh-rust,
  librust-cc-1+default-dev,
- librust-tree-sitter-0.22+default-dev,
+ librust-tree-sitter-0.25+default-dev,
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/sdm-lang/tree-sitter-sdml
 Vcs-Git: https://salsa.debian.org/debian/tree-sitter-sdml.git
 Vcs-Browser: https://salsa.debian.org/debian/tree-sitter-sdml
@@ -31,12 +31,12 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- librust-tree-sitter-0.22+default-dev,
+ librust-tree-sitter-0.25+default-dev,
  ${misc:Depends},
 Provides:
  librust-tree-sitter-sdml-0.4+default-dev (= ${binary:Version}),
  librust-tree-sitter-sdml-0.4-dev (= ${binary:Version}),
- librust-tree-sitter-sdml-0.4.1-dev (= ${binary:Version}),
+ librust-tree-sitter-sdml-0.4.5-dev (= ${binary:Version}),
 Description: ${source:Synopsis} - Rust source code
  ${source:Extended-Description}
  .
