=== debian/changelog ===
tree-sitter-sdml (0.4.10+20250527-2) experimental; urgency=medium

  * build-depend on libstd-rust-dev
  * drop watch file: use upstream metadata instead

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 23:29:46 +0200

tree-sitter-sdml (0.4.10+20250527-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * bump project versions in virtual packages and autopkgtests
  * bump (build-)dependencies for crate tree-sitter

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Jun 2025 11:46:57 +0200
