=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  dh-rust,
  librust-cc-1+default-dev,
  librust-tree-sitter-0.25+default-dev,
+ libstd-rust-dev,
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-setuptools,
@@ -36,7 +37,7 @@
 Provides:
  librust-tree-sitter-sdml-0.4+default-dev (= ${binary:Version}),
  librust-tree-sitter-sdml-0.4-dev (= ${binary:Version}),
- librust-tree-sitter-sdml-0.4.5-dev (= ${binary:Version}),
+ librust-tree-sitter-sdml-0.4.10-dev (= ${binary:Version}),
 Description: ${source:Synopsis} - Rust source code
  ${source:Extended-Description}
  .
