=== debian/changelog ===
tree-sitter-sdml (0.4.13-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Oct 2025 11:02:03 +0200
