=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
 Provides:
  librust-tree-sitter-sdml-0.4+default-dev (= ${binary:Version}),
  librust-tree-sitter-sdml-0.4-dev (= ${binary:Version}),
- librust-tree-sitter-sdml-0.4.10-dev (= ${binary:Version}),
+ librust-tree-sitter-sdml-0.4.13-dev (= ${binary:Version}),
 Description: ${source:Synopsis} - Rust source code
  ${source:Extended-Description}
  .
