=== debian/changelog ===
tree-sitter-sdml (0.4.14-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * bump project versions in virtual packages and autopkgtests
  * (build-)depend on package for crate tree-sitter-language;
    autopkgtest-depend (and build-depend, but not depend)
    on package for crate tree-sitter

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Oct 2025 13:09:03 +0200
