=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  dh-rust,
  librust-cc-1+default-dev,
  librust-tree-sitter-0.25+default-dev,
+ librust-tree-sitter-language-0.1+default-dev,
  libstd-rust-dev,
  pybuild-plugin-pyproject,
  python3-all-dev,
@@ -32,12 +33,12 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- librust-tree-sitter-0.25+default-dev,
+ librust-tree-sitter-language-0.1+default-dev,
  ${misc:Depends},
 Provides:
  librust-tree-sitter-sdml-0.4+default-dev (= ${binary:Version}),
  librust-tree-sitter-sdml-0.4-dev (= ${binary:Version}),
- librust-tree-sitter-sdml-0.4.13-dev (= ${binary:Version}),
+ librust-tree-sitter-sdml-0.4.14-dev (= ${binary:Version}),
 Description: ${source:Synopsis} - Rust source code
  ${source:Extended-Description}
  .
