=== debian/rules ===
#!/usr/bin/make -f

# resolve DEB_VERSION_UPSTREAM
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic

# trust upstream optimization level unless explicitly disabled
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEB_CFLAGS_MAINT_STRIP=-O2
export DEB_CXXFLAGS_MAINT_STRIP=-O2
endif

%:
	dh $@ --buildsystem=none

override_dh_auto_configure:
	dh_auto_configure --buildsystem=pybuild
	dh_auto_configure --buildsystem=rust

override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	dh_auto_build --buildsystem=rust

override_dh_auto_test:
	dh_auto_test --buildsystem=pybuild
	dh_auto_test --buildsystem=rust

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	dh_auto_install --buildsystem=rust

override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	dh_auto_clean --buildsystem=rust

execute_before_dh_installinit:
	dh_python3
